import { Tabs } from '@taroify/core';

import PartnerKanban from '@/components/partner-kanban';
import { ProfitType } from '@/types/partner';

import ProfitList from './ProfitList';

import './index.less';

const PREFIX = 'partner-profit';

function TableTitle() {
  return (
    <div className={`${PREFIX}__title`}>
      <div className={`${PREFIX}__item time`}>结算时间</div>
      <div className={`${PREFIX}__item project`}>项目</div>
      <div className={`${PREFIX}__item status`}>状态</div>
      <div className={`${PREFIX}__item income`}>收入(元)</div>
    </div>
  );
}

export default function PartnerProfit() {
  return (
    <div className={PREFIX}>
      <div className={`${PREFIX}__top`}>
        <PartnerKanban />
      </div>
      <div className={`${PREFIX}__main`}>
        <Tabs className={`${PREFIX}__tabs`}>
          <Tabs.TabPane title="推荐主播收益">
            <TableTitle />
            <ProfitList profitType={ProfitType.Anchor} />
          </Tabs.TabPane>
          <Tabs.TabPane title="推荐会员权益">
            <TableTitle />
            <ProfitList profitType={ProfitType.Member} />
          </Tabs.TabPane>
          <Tabs.TabPane title="推荐合伙人收益">
            <TableTitle />
            <ProfitList profitType={ProfitType.Partner} />
          </Tabs.TabPane>
        </Tabs>
      </div>
    </div>
  );
}
